## dtrace 2.0.5

=== debian/changelog ===
dtrace (2.0.5-1) unstable; urgency=medium

  * Initial release. (Closes: #1128435)

 -- Kris Van Hees <kvanhees@gmail.com>  Fri, 20 Feb 2026 00:31:21 -0500
