=== debian/control ===
Source: dtrace
Section: utils
Priority: optional
Maintainer: Kris Van Hees <kvanhees@gmail.com>
Build-Depends: debhelper-compat (= 13),
 bison, flex, gawk, gcc-bpf, binutils-bpf, valgrind, binutils-dev, login.defs,
 libbpf-dev, libc-dev (>= 2.34), libelf-dev, libfuse3-dev, libpcap-dev,
 libpfm4-dev, libsystemd-dev, libz-dev
Standards-Version: 4.7.3
Homepage: https://github.com/oracle/dtrace/
Rules-Requires-Root: no

Package: dtrace
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Dynamic tracing for Linux (DTrace)
 This is the official Linux port of the advanced tracing tool DTrace.
 .
 DTrace is a high-level dynamic tracing tool for Linux, built on kernel
 tracing features (tracepoints, function probes (fentry/fexit), dynamic
 kernel probes (kprobes), dynamic userspace probes (uprobes), ... and
 leveraging BPF as execution engine.  It features an integrated compiler
 for its high-level tracing language and native support for interacting
 with the BPF engine, significantly reducing runtime dependencies.

Package: libdtrace2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 fuse3, libctf0, libelf1t64, libfuse3-4, libpcap0.8t64, libpfm4, libz1
Description: Dynamic tracing for Linux (DTrace) (library)
 This is the official Linux port of the advanced tracing tool DTrace.
 .
 DTrace is a high-level dynamic tracing tool for Linux, built on kernel
 tracing features (tracepoints, function probes (fentry/fexit), dynamic
 kernel probes (kprobes), dynamic userspace probes (uprobes), ... and
 leveraging BPF as execution engine.  It features an integrated compiler
 for its high-level tracing language and native support for interacting
 with the BPF engine, significantly reducing runtime dependencies.
 .
 This package contains the shared library.

Package: libdtrace2-dev
Architecture: any
Depends: ${misc:Depends},
 libdtrace2 (= ${binary:Version})
Description: Dynamic tracing for Linux (DTrace) (development)
 This is the official Linux port of the advanced tracing tool DTrace.
 .
 DTrace is a high-level dynamic tracing tool for Linux, built on kernel
 tracing features (tracepoints, function probes (fentry/fexit), dynamic
 kernel probes (kprobes), dynamic userspace probes (uprobes), ... and
 leveraging BPF as execution engine.  It features an integrated compiler
 for its high-level tracing language and native support for interacting
 with the BPF engine, significantly reducing runtime dependencies.
 .
 This package contains the development files necessary to develop
 alternative implementations of the user interface for libdtrace, i.e.
 replacements for dtrace(1) itself.

Package: dtrace-tests
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 binutils, cpp, gawk, gcc, make, pkgconf, tshark, bpftool
Description: Dynamic tracing for Linux (DTrace) (testsuite)
 This is the official Linux port of the advanced tracing tool DTrace.
 .
 DTrace is a high-level dynamic tracing tool for Linux, built on kernel
 tracing features (tracepoints, function probes (fentry/fexit), dynamic
 kernel probes (kprobes), dynamic userspace probes (uprobes), ... and
 leveraging BPF as execution engine.  It features an integrated compiler
 for its high-level tracing language and native support for interacting
 with the BPF engine, significantly reducing runtime dependencies.
 .
 This package contains the testsuite.
