=== debian/rules ===
#!/usr/bin/make -f
# You must remove unused comment lines for the released package.
export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk

export DEB_VERSION_UPSTREAM

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --pkg-config-dir=\$${LIBDIR}/pkgconfig BPFC=bpf-gcc BPFLD=bpf-ld

override_dh_strip:
	dh_strip -Xdtrace

override_dh_auto_test:

override_dh_auto_install:
	dh_auto_install -- install-test
